2008-12-31  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Use Session.Connect() API instead of faking user input and
	  hoping the protocol manager will like our format. (closes trac bug #141)

2008-12-28  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: White space fix.

2008-12-28  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Init(): Pass application name and parameters to GTK
	  initialization.
	
	  Init(): Set default icon.
	
	  Quit(): Only store window size / state and position if the MainWindow is
	  visible, else quitting when being in the engine manager dialog would
	  reset the values in the config.
	
	  Quit(): catch RemotingException when telling the frontend manager that
	  we are disconnecting, else Quit() would throw an exception when we try
	  to quit like when we lost the connection to the server.
	
	  Only log exception type instead of full message (via ToString) in
	  Trace.Call() else it clutters the log.

2008-12-28  Mirco Bauer <meebey@meebey.net> 

	* Main.cs: Disabled bailing out when unknown options are passed, as GTK+ and
	  GNOME handles some too.

2008-12-28  Mirco Bauer <meebey@meebey.net> 

	* Preferences/PreferencesDialog.cs: Disabled Filters in preferences tree
	  view, as it's not implemented anyhow.

2008-12-28  Mirco Bauer <meebey@meebey.net> 

	* Makefile.am: Replaced hardcoded gmcs calls with configure variable.

2008-12-28  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs, Notebook.cs: Implemented remembering last seen
	  highlight in chats, so frontends will not re-highlight when
	  re-attaching. (closes trac ticket #97)

2008-12-27  Mirco Bauer <meebey@meebey.net> 

	* Preferences/PreferencesDialog.cs: Check for empty nickname field. (closes
	  trac bug #123)

2008-12-27  Mirco Bauer <meebey@meebey.net> 

	* FindGroupChatDialog.cs, Preferences/ServerListView.cs: Pass parent to
	  ShowError.
	* gtk-gui/Smuxi.Frontend.Gnome.SteticPreferencesDialog.cs: lol, useless
	  stetic change again
	* Frontend.cs: Support parent in ShowError() method and use MainWindow as
	  fallback.
	
	  Fixed threading bug in ShowError() and ShowException() when marshalling
	  the call into the GUI-thread.

2008-12-26  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Updated copyright year.

2008-12-26  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Frontend.cs: Save / Restore maxmized windows correctly.

2008-12-26  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs: Disabled Console.WriteLine call.
	* gtk-gui/Smuxi.Frontend.Gnome.SteticPreferencesDialog.cs: funny stetic
	  insisting doing useless changes
	* Frontend.cs: Code clean-up.

2008-12-22  Mirco Bauer <meebey@meebey.net> 

	* Chats/GroupChatView.cs: Some cleanup.
	* EngineManagerDialog.cs: Take care of failed Disconnect() attempts.

2008-12-22  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Made notification area icon configurable, supporting: never,
	  always, minimize to tray, close to tray. (closes trac ticket #137)
	
	  When a RemotingException happens allow the user to reconnect to the
	  server instead of killing the frontend.
	
	  Added preferences to notification area icon context menu as per GNOME
	  HIG.
	* MainWindow.cs, Preferences/PreferencesDialog.cs: Made notification area
	  icon configurable, supporting: never, always, minimize to tray, close to
	  tray. (closes trac ticket #137)

2008-12-19  Mirco Bauer <meebey@meebey.net> 

	* Preferences/PreferencesDialog.cs, Chats/ChatView.cs: Implemented support
	  for changing the text wrap mode from character to word. (closes trac
	  ticket #5)

2008-12-19  Mirco Bauer <meebey@meebey.net> 

	* FindGroupChatDialog.cs: Only change cursor back if the GdkWindow is still
	  available.

2008-12-19  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Changed the event that quits the application from Destroyed
	  to DeleteEvent, else we can't get the last window size when the window
	  is already gone. (closes trac bug #121)

2008-12-17  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs: Only check if text was selected, instead of checking if
	  the chat has a selection, as the property is overridden in
	  GroupChatView. (part of fixing trac bug #112)
	* Chats/GroupChatView.cs: Destroy the selection when the treeview looses the
	  focus and don't let the context menu grab the focus. (part of fixing
	  trac bug #112)

2008-12-17  Mirco Bauer <meebey@meebey.net> 

	* Preferences/PreferencesDialog.cs: Renamed ModeColor to EventColor.
	* Chats/ChatView.cs: Added HasEvent property and use it in AddMesage() with
	  checking MessageType.

2008-10-08  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: support unicode input using ctrl+shift+u+hexnumber

2008-09-04  Mirco Bauer <meebey@meebey.net> 

	* Preferences/ServerView.cs,
	  gtk-gui/Smuxi.Frontend.Gnome.QuickConnectDialog.cs,
	  gtk-gui/Smuxi.Frontend.Gnome.SteticPreferencesDialog.cs,
	  gtk-gui/gui.stetic, QuickConnectDialog.cs: Implemented hide/unhide
	  password entries. (closes trac ticket #116)

2008-09-03  Mirco Bauer <meebey@meebey.net> 

	* FindGroupChatDialog.cs: Use a new thread when calling FindGroupChat on the
	  protocol manager, as that one might block and never returns which would
	  let the GUI freeze forever. (closes trac ticket #104)
	
	  Set mouse cursor to busy when searching for chats. (closes trac bug
	  #115)
	* Frontend.cs: Support calls from non-GUI threads in ShowException() and
	  ShowError().
	
	  Added overload of ShowError() with Exception as parameter.

2008-09-02  Mirco Bauer <meebey@meebey.net> 

	* AboutDialog.cs: Added credits for British English and French translation.

2008-08-31  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp: Added po files to MonoDevelop projects.

2008-08-31  Mirco Bauer <meebey@meebey.net> 

	* AboutDialog.cs: Added Juan Miguel Carrero <streinleght@gmail.com> to
	  translator credits.

2008-08-28  Mirco Bauer <meebey@meebey.net> 

	* ColorTools.cs: Set eol-style to native and converted files using dos2unix
	  where needed.

2008-08-28  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs, MainWindow.cs, ChatView.cs: Implementated tray icon support
	  (requires GTK# >= 2.10). (closes trac bug #55)

2008-08-27  Mirco Bauer <meebey@meebey.net>

	* AboutDialog.cs: Replaced (C) with © (copyright character).
	
	  Added link to smuxi's website. (thanks to George Retsinas for noticing
	  this)

2008-08-27  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Preferences/ServerListView.cs, Preferences/ServerView.cs,
	  Preferences/PreferencesDialog.cs, AboutDialog.cs, QuickConnectDialog.cs:
	  Set TransientFor property correctly for all dialogs. (thanks to George
	  Retsinas for reporting this)

2008-08-25  Mirco Bauer <meebey@meebey.net> 

	* Makefile.am, smuxi-frontend-gnome.pc.in: Removed unneeded pkg-config
	  files.

2008-08-25  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs, EngineManagerDialog.cs, Notebook.cs: Fixed switching between
	  local engine and remote engine back and forth. (closes trac bug #106)

2008-08-25  Mirco Bauer <meebey@meebey.net> 

	* GnomeUI.cs: Disabled highlight reset hack in SyncChat() as that confuses
	  local engine users (as it causes a bug for the first message) and
	  doesn't really help remote engine users anyway (as they miss highlights
	  they received since the last connect).

2008-08-24  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Entry.cs: Moved ctrl+page up/down handling to menu.

2008-08-24  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Frontend.cs: Implemented store and restore window size /
	  position. (closes trac ticket #91)

2008-08-24  Mirco Bauer <meebey@meebey.net> 

	* EngineManagerDialog.cs, Entry.cs, Frontend.cs: Use _() wrapper.

2008-08-24  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Initialize gettext during startup.

2008-08-22  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs: Disabled console writelines.
	
	  Use Process.Start() if not compiled with UI_GNOME.

2008-08-22  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Implemtend ShowError(string) method.
	* Preferences/ServerListView.cs: Handle InvalidOperationException.

2008-08-22  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs: Support empty timestamp formats. (closes trac bug #84)

2008-08-21  Mirco Bauer <meebey@meebey.net> 

	* Preferences/PreferencesDialog.cs: Use the more descriptive "<System
	  Default>" as text for encodings instead of an empty string. (closes trac
	  bug #82)

2008-08-21  Mirco Bauer <meebey@meebey.net> 

	* ChatViewManager.cs: Fixed sorting order of group and person chats when
	  there is no next protocol chat available. (Closes trac bug #87)

2008-08-05  Mirco Bauer <meebey@meebey.net> 

	* Preferences/PreferencesDialog.cs: Use ColorTools instead of broken local
	  conversion methods.
	* Chats/ChatView.cs: Apply overriden background color in AddMessage().
	
	  Better debug output for GetBestTextColor().
	* ColorTools.cs: Implemented GetHexCodeColor(Gdk.Color).
	
	  Check hex code length in GetGdkColor(string).
	
	  Fixed Gdk.Color to hex code conversion using bit shifting. (thanks to
	  Zhila)

2008-08-04  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs, ColorTools.cs: Implemented getting a good color based
	  on the background color for a good contrast. Thanks to Mikael and Zhila
	  for the algorithm!

2008-07-30  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp, smuxi-frontend-gnome.exe.config: Added .exe.config for
	  log4net configuration to project.

2008-07-30  Mirco Bauer <meebey@meebey.net> 

	* QuickConnectDialog.cs: Fixed server selection using "double click", by
	  setting f_ServerModel before confirming the dialog. (closes trac bug
	  #80)

2008-07-28  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp: Build as WinExe.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* ChatViewManager.cs: Implemented grouping person and group chats to their
	  protocol chat. (closes trac bug #54)

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp: Removed AssemblyInfo.cs.in from project.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Use Gtk.Stock.About button.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* Chats/GroupChatView.cs: Implemented applying topic and user list position
	  settings for existing chats. (closes trac bug #56)
	
	  Refactored code to apply layout changes for topic and user list
	  position.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* ChatViewManager.cs, Makefile.am: Allow re-ordering of tabs if GTK# 2.10 is
	  available. (closes tac bug #68)

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* AssemblyInfo.cs.in: Removed AssemblyInfo.cs.in files, not needed anymore
	  as we use a shared AssemblyVersion.cs(.in) now.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* Chats/GroupChatView.cs: Only prevent making a new selection using the
	  right mouse button if the selection is actually multiple (>= 2 persons).

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* Chats/GroupChatView.cs, Chats/ChatView.cs: Implemented selecting multiple
	  person in a group chat. (closes trac bug #73)
	
	  Refactored person context menu commands to support a list of persons.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* Chats/GroupChatView.cs, Chats/ChatView.cs: Initialize _Background and
	  _Foregroundcolor correctly using Nullable<Gdk.Color> as Gdk.Color.Zero
	  == color black.

2008-07-27  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp: Removed assembly attributes that are now part of the
	  shared AssemblyVersion.cs file.

2008-07-25  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Allow to close a chat using ctrl+w if it's not the session
	  chat (instead of checking for group chat only) (really closes trac bug
	  #67)
	
	  Updated copyright year.

2008-07-24  Mirco Bauer <meebey@meebey.net> 

	* Chats/GroupChatView.cs, Chats/ChatView.cs, Entry.cs: Use monospace bold as
	  default font.
	
	  Parse pango font description once.

2008-07-22  Mirco Bauer <meebey@meebey.net> 

	* Makefile.am: Distribute and install .exe.config files.

2008-07-22  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Disabled splashscreen (we have no current logo anyhow).

2008-07-22  Mirco Bauer <meebey@meebey.net> 

	* Makefile.am, Main.cs, Frontend-GNOME.mdp, AssemblyInfo.cs.in,
	  AssemblyInfo.cs: Made debug logging an explicit command line parameter
	  (closes trac bug#59).

2008-07-22  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: Pass "/window close" to IProtocolManager.CloseChat() instead of
	  doing nothing (before it was a disabled protocol specific hack) (closes
	  trac bug #67).

2008-07-17  Mirco Bauer <meebey@meebey.net> 

	* AssemblyInfo.cs: Bumped version to 0.6.0.

2008-07-17  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Added close chat menu item.
	* Chats/ChatView.cs: Made Close() method public.
	
	  Removed accelerator from Close menu item, MainWindow handles this now.

2008-07-17  Mirco Bauer <meebey@meebey.net> 

	* Preferences/ServerView.cs: glade3 renamed some widgets because of a
	  conflict ignoring the fact that it those have different toplevel widgets

2008-07-17  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: Reset cursor position to the end when going up in the command
	  history.

2008-07-17  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Don't rely on Application.Quit(), call Environment.Quit()
	  afterwards to be sure we are quitting.

2008-07-17  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, EngineManagerDialog.cs, FirstStartDruid.cs,
	  Frontend-GNOME.mdp, EngineDruid.cs, NewEngineDruid.cs: Renamed
	  NewEngineDruid to EngineDruid.
	
	  Implemented edit mode of EngineDruid (closes trac bug #14).
	* SteticPreferencesDialog.cs: Added license header.

2008-07-16  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Frontend.cs, Preferences/PreferencesDialog.cs,
	  Chats/GroupChatView.cs, Chats/ChatView.cs, Entry.cs, ChatViewManager.cs:
	  Implemented basic theming support (closes trac bug #19).

2008-07-15  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Frontend.cs, GnomeUI.cs, ChatViewManager.cs: Failed attempt
	  to fix trac bug #50

2008-07-15  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, FindGroupChatDialog.cs,
	  gtk-gui/Smuxi.Frontend.Gnome.FindGroupChatDialog.cs, gtk-gui/gui.stetic:
	  Implemented FindGroupChatDialog (closes trac bug #13).

2008-07-15  Mirco Bauer <meebey@meebey.net> 

	* Chats/SessionChatView.cs, Chats/PersonChatView.cs, Chats/GroupChatView.cs,
	  Chats/ChatView.cs: Fixed icon / label position on tabs.

2008-07-14  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: Fixed brace in help output.

2008-07-14  Mirco Bauer <meebey@meebey.net> 

	* Frontend.cs: Fixed indention.
	
	  Call Quit() in ShowException, as thats what the message (CrashDialog)
	  says.
	
	  Don't run first start druid anymore.

2008-07-14  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: Fixed loosing the selection issue when bringing focus back to
	  the input entry.

2008-07-12  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs, Frontend-GNOME.mdp,
	  gtk-gui/Smuxi.Frontend.Gnome.QuickConnectDialog.cs,
	  gtk-gui/Smuxi.Frontend.Gnome.ConnectDialog.cs, gtk-gui/gui.stetic,
	  QuickConnectDialog.cs: Merged ConnectDialog and QuickConnectDialog for
	  sharing more code and better user experience. (closes trac bug #39)

2008-07-07  Mirco Bauer <meebey@meebey.net> 

	* Notebook.cs: Attempt to get focus faster back when switching a page, but
	  doesn't work.

2008-07-07  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: Fixed scrolling notebook tabs (closes: trac bug #11).
	
	  Fixed indention.
	
	  Supress up/down GTK+ navigation, trying to leave the entry.
	
	* Chats/ChatView.cs: Expose HasFocus and HasSelection as property.

2008-07-07  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp, Chats/ProtocolChatView.cs, Chats/SessionChatView.cs,
	  Chats/PersonChatView.cs, Chats/GroupChatView.cs, Chats/ChatView.cs,
	  ChatViewManager.cs: Implemented tab images.

2008-06-30  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Enhanced menu.
	* Preferences/ServerListView.cs: Refactored view-controlling code into own
	  methods.
	* Preferences/PreferencesDialog.cs: Expose CurrentPage property.
	* Chats/ProtocolChatView.cs: Only show a warning when closing the protocol
	  chats, if open chats exists.
	* Chats/ChatView.cs: Refactored activity / highlight code handling.
	* GnomeUI.cs: Clear highlight after having synced all messages, as it's less
	  confusing when a frontend reconnects to a running smuxi server.
	* gtk-gui/Smuxi.Frontend.Gnome.QuickConnectDialog.cs, QuickConnectDialog.cs:
	  Implemented QuickConnectDialog.
	
	* gtk-gui/Smuxi.Frontend.Gnome.ConnectDialog.cs, ConnectDialog.cs:
	  Implemented ConnectDialog.

2008-06-02  Mirco Bauer <meebey@meebey.net> 

	* Chats/ProtocolChatView.cs: Implemented closing of protocol chats.

2008-06-02  Mirco Bauer <meebey@meebey.net> 

	* MainWindow.cs: Fixed whitespace.
	* Chats/ProtocolChatView.cs, Chats/SessionChatView.cs,
	  Chats/PersonChatView.cs, Chats/GroupChatView.cs, Chats/ChatView.cs:
	  Refactored tab menu code.
	
	  Moved tab popup menu to ChatView.
	
	  Implemented closing tabs using the middle-mouse button.

2008-06-02  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp, Chats/ProtocolChatView.cs, Chats/NetworkChatView.cs:
	  Renamed NetworkChatView to ProtocolChatView.

2008-06-02  Mirco Bauer <meebey@meebey.net> 

	

2008-04-01  Mirco Bauer <meebey@meebey.net> 

	* AssemblyInfo.cs: Bumped version to 0.5.31
	* Frontend-GNOME.mdp: Reference GTK# 2.8 / GNOME# 2.8.

2008-04-01  Mirco Bauer <meebey@meebey.net> 

	* Entry.cs: Don't prevent ctrl+a/left/right/backspace key shortcuts.

2008-03-04  Mirco Bauer <meebey@meebey.net> 

	* Preferences/ServerView.cs: Added defaults for ICQ/AIM/MSNP.

2008-03-02  Mirco Bauer <meebey@meebey.net> 

	* Chats/SessionChatView.cs, Entry.cs: Implemented SessionChat*, abusing
	  NetworkChat* as smuxi chat was a dirty hack.

2008-03-02  Mirco Bauer <meebey@meebey.net> 

	* Chats/ChatView.cs: Cache chat name, instead of fetching it always from the
	  proxy object.
	
	  Open URLs in a different thread on Windows (as the call is blocking).
	
	* GnomeUI.cs, ChatViewManager.cs: Fixed indention.

2008-01-31  Mirco Bauer <meebey@meebey.net> 

	* AssemblyInfo.cs: Bumped version to 0.5.30.

2007-12-25  Mirco Bauer <meebey@meebey.net> 

	* Frontend-GNOME.mdp: Updated using MonoDevelop 0.18.1
	* Chats/ChatView.cs: added selection fix for GTK# 2.8

